"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _Spinner = require("./Spinner");

var _Spinner2 = _interopRequireDefault(_Spinner);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var NestedDropdownHeader = function NestedDropdownHeader(_ref) {
  var back = _ref.back,
      isRoot = _ref.isRoot,
      loading = _ref.loading;

  return _react2.default.createElement(
    "div",
    { className: "nested-dropdown-header" },
    loading ? _react2.default.createElement(_Spinner2.default, null) : _react2.default.createElement(
      "button",
      { onClick: back, style: { visibility: isRoot ? 'hidden' : 'visible' } },
      "Back"
    )
  );
};

exports.default = NestedDropdownHeader;