"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Spinner = function Spinner() {
  return _react2.default.createElement(
    "svg",
    { className: "spinner", height: "20px", width: "20px", id: "loader-1", style: { "enableBackground": "new 0 0 50 50" }, version: "1.1", viewBox: "0 0 50 50", x: "0px", y: "0px", xmlSpace: "preserve" },
    _react2.default.createElement(
      "path",
      { d: "M25.251,6.461c-10.318,0-18.683,8.365-18.683,18.683h4.068c0-8.071,6.543-14.615,14.615-14.615V6.461z", fill: "#000" },
      _react2.default.createElement("animateTransform", { attributeType: "xml",
        attributeName: "transform",
        type: "rotate",
        from: "0 25 25",
        to: "360 25 25",
        dur: "0.6s",
        repeatCount: "indefinite" })
    )
  );
};

exports.default = Spinner;